> For the complete documentation index, see [llms.txt](https://docs.alemba.com/asm-hermes/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alemba.com/asm-hermes/integrate/apis/alemba-restful-api/navigating-the-alemba-api-explorer.md).

# Navigating the Alemba API Explorer

The Alemba API Explorer screen has three panes:

* **Entities**. All of the available entities appear in a tree in the **Entities** pane on the left. The selected entity appear in blue, parent physical entities in white and logical ones (which you cannot select) in gray.
* The **Entity details** are displayed in the center pane. You can scroll down to see more information.
* The **Properties pane** contains expandable categories of properties relating to the selected item.

When you first log in to the API Explorer, the **Call** entity appears (see API structure). Clicking on any of the other entities in the **Entities** pane relocates you at that object. You can expand or contract the tree to explore the entities.

Alternatively, use the **Search** field above the tree, which returns a list of matches that is refined as you type. If the item is currently not visible in the tree, it expands to show where that entity is located in the hierarchy.

Your current position in the entity hierarchy is reflected in the breadcrumb trail above that panel. Physical entities are in black, logical ones are grayed out. You can click on any physical entity in the breadcrumb trail to go to that entity. The currently selected entity is shown in blue.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alemba.com/asm-hermes/integrate/apis/alemba-restful-api/navigating-the-alemba-api-explorer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
